Monit: 'populate_script' file doesn't exist - after upgrade to Kaltura 3.1.0


#1

After we upgraded to kaltura-server-13.1.0-1.noarch, the following messages are being logged:

Aug 28 14:27:24 host1 monit[7327]: ‘populate_script’ file doesn’t exist
Aug 28 14:27:24 host1 monit[7327]: ‘populate_script’ trying to restart
Aug 28 14:27:24 host1 monit[7327]: ‘populate_script’ file doesn’t exist
Aug 28 14:27:24 host1 monit[7327]: ‘sphinx-populate’ failed to start – could not start required services: ‘populate_script’


#2

Hi @stanrate,

Thank you for reporting this.
The populateFromLog script was moved to /opt/kaltura/app/plugins/search/providers/sphinx_search/scripts/populateFromLog.

This commit fixes it:

So when 13.2.0 is released the issue will be resolved. For now, you can patch /opt/kaltura/app/configurations/monit/monit.avail/sphinx.populate.rc manually.

Thanks again,